exec6.sub
来自「android-w.song.android.widget」· SUB 代码 · 共 55 行
SUB
55 行
# builtins with exit status inverted( true )echo $?( ! true )echo $?( false )echo $?( ! false )echo $?# inverting shouldn't affect exit(exit 42)echo $?( ! exit 42 )echo $?# commands requiring an exec with exit status inverted -- broken in bash-2.04( ls > /dev/null 2>&1 )echo $?( ! ls > /dev/null 2>&1 )echo $?touch /tmp/notwritechmod 400 /tmp/notwrite# make sure redirection failures in commands whose exit status is inverted# are handled correctly( ls > /tmp/notwrite ) 2>/dev/nullecho $?( ! ls > /tmp/notwrite ) 2>/dev/nullecho $?# now add exit traps, true and false for commands with and without exit# status inversion(trap 'false' 0 ; ! ls > /tmp/notwrite ) 2>/dev/nullecho $?(trap 'false' 0 ; ls > /tmp/notwrite ) 2>/dev/nullecho $?(trap 'true' 0 ; ! ls > /tmp/notwrite ) 2>/dev/nullecho $?(trap 'true' 0 ; ls > /tmp/notwrite ) 2>/dev/nullecho $?rm -f /tmp/notwrite
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?